Package ej.microui.display

## Class FontIdentifiers

- java.lang.Object
- - ej.microui.display.FontIdentifiers

-     public final class FontIdentifiers
      extends Object

  Available list of `Font` built-in identifiers.

  A font has a set of identifiers. An identifier is an integer which specifies whether the font is able to render specific languages and alphabets. A value has been assigned to each of the 80 built-in identifiers.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `ARABIC` | Constant for arabic font identifier.
    `static int` | `ARMENIAN` | Constant for armenian font identifier.
    `static int` | `BALINESE` | Constant for balinese font identifier.
    `static int` | `BAMUM` | Constant for bamum font identifier.
    `static int` | `BATAK` | Constant for batak font identifier.
    `static int` | `BENGALI` | Constant for bengali font identifier.
    `static int` | `BOPOMOFO` | Constant for bopomofo font identifier.
    `static int` | `BRAILLE` | Constant for braille font identifier.
    `static int` | `BUGINESE` | Constant for buginese font identifier.
    `static int` | `BUHID` | Constant for buhid font identifier.
    `static int` | `CANADIAN_ABORIGINAL` | Constant for canadian aboriginal font identifier.
    `static int` | `CHAM` | Constant for cham font identifier.
    `static int` | `CHEROKEE` | Constant for cherokee font identifier.
    `static int` | `COMMON` | Constant for common font identifier.
    `static int` | `COPTIC` | Constant for coptic font identifier.
    `static int` | `CYRILLIC` | Constant for cyrillic font identifier.
    `static int` | `DEVANAGARI` | Constant for devanagari font identifier.
    `static int` | `ETHIOPIC` | Constant for ethiopic font identifier.
    `static int` | `GEORGIAN` | Constant for georgian font identifier.
    `static int` | `GLAGOLITIC` | Constant for glagolitic font identifier.
    `static int` | `GREEK` | Constant for greek font identifier.
    `static int` | `GUJARATI` | Constant for gujarati font identifier.
    `static int` | `GURMUKHI` | Constant for gurmukhi font identifier.
    `static int` | `HAN` | Constant for han font identifier.
    `static int` | `HANGUL` | Constant for hangul font identifier.
    `static int` | `HANUNOO` | Constant for hanunoo font identifier.
    `static int` | `HEBREW` | Constant for hebrew font identifier.
    `static int` | `HIRAGANA` | Constant for hiragana font identifier.
    `static int` | `INHERITED` | Constant for inherited font identifier.
    `static int` | `JAVANESE` | Constant for javanese font identifier.
    `static int` | `KANNADA` | Constant for kannada font identifier.
    `static int` | `KATAKANA` | Constant for katakana font identifier.
    `static int` | `KAYAH_LI` | Constant for kayah li font identifier.
    `static int` | `KHMER` | Constant for khmer font identifier.
    `static int` | `LAO` | Constant for lao font identifier.
    `static int` | `LATIN` | Constant for latin font identifier.
    `static int` | `LEPCHA` | Constant for lepcha font identifier.
    `static int` | `LIMBU` | Constant for limbu font identifier.
    `static int` | `LISU` | Constant for lisu font identifier.
    `static int` | `MALAYALAM` | Constant for malayalam font identifier.
    `static int` | `MANDAIC` | Constant for mandaic font identifier.
    `static int` | `MEETEI_MAYEK` | Constant for meetei mayek font identifier.
    `static int` | `MONGOLIAN` | Constant for mongolian font identifier.
    `static int` | `MYANMAR` | Constant for myanmar font identifier.
    `static int` | `NEW_TAI_LUE` | Constant for new tai lue font identifier.
    `static int` | `NKO` | Constant for nko font identifier.
    `static int` | `OGHAM` | Constant for ogham font identifier.
    `static int` | `OL_CHIKI` | Constant for ol chiki font identifier.
    `static int` | `ORIYA` | Constant for oriya font identifier.
    `static int` | `PHAGS_PA` | Constant for phags pa font identifier.
    `static int` | `REJANG` | Constant for rejang font identifier.
    `static int` | `RUNIC` | Constant for runic font identifier.
    `static int` | `SAMARITAN` | Constant for samaritan font identifier.
    `static int` | `SAURASHTRA` | Constant for saurashtra font identifier.
    `static int` | `SINHALA` | Constant for sinhala font identifier.
    `static int` | `SUNDANESE` | Constant for sundanese font identifier.
    `static int` | `SYLOTI_NAGRI` | Constant for syloti nagri font identifier.
    `static int` | `SYRIAC` | Constant for syriac font identifier.
    `static int` | `TAGALOG` | Constant for tagalog font identifier.
    `static int` | `TAGBANWA` | Constant for tagbanwa font identifier.
    `static int` | `TAI_LE` | Constant for tai le font identifier.
    `static int` | `TAI_THAM` | Constant for tai tham font identifier.
    `static int` | `TAI_VIET` | Constant for tai viet font identifier.
    `static int` | `TAMIL` | Constant for tamil font identifier.
    `static int` | `TELUGU` | Constant for telugu font identifier.
    `static int` | `THAANA` | Constant for thaana font identifier.
    `static int` | `THAI` | Constant for thai font identifier.
    `static int` | `TIBETAN` | Constant for tibetan font identifier.
    `static int` | `TIFINAGH` | Constant for tifinagh font identifier.
    `static int` | `VAI` | Constant for vai font identifier.
    `static int` | `YI` | Constant for yi font identifier.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FontIdentifiers()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ARABIC

          public static final int ARABIC

      Constant for arabic font identifier.
      See Also:
        Constant Field Values

    - #### ARMENIAN

          public static final int ARMENIAN

      Constant for armenian font identifier.
      See Also:
        Constant Field Values

    - #### BALINESE

          public static final int BALINESE

      Constant for balinese font identifier.
      See Also:
        Constant Field Values

    - #### BENGALI

          public static final int BENGALI

      Constant for bengali font identifier.
      See Also:
        Constant Field Values

    - #### BOPOMOFO

          public static final int BOPOMOFO

      Constant for bopomofo font identifier.
      See Also:
        Constant Field Values

    - #### BRAILLE

          public static final int BRAILLE

      Constant for braille font identifier.
      See Also:
        Constant Field Values

    - #### BUGINESE

          public static final int BUGINESE

      Constant for buginese font identifier.
      See Also:
        Constant Field Values

    - #### BUHID

          public static final int BUHID

      Constant for buhid font identifier.
      See Also:
        Constant Field Values

    - #### CANADIAN_ABORIGINAL

          public static final int CANADIAN_ABORIGINAL

      Constant for canadian aboriginal font identifier.
      See Also:
        Constant Field Values

    - #### CHEROKEE

          public static final int CHEROKEE

      Constant for cherokee font identifier.
      See Also:
        Constant Field Values

    - #### COPTIC

          public static final int COPTIC

      Constant for coptic font identifier.
      See Also:
        Constant Field Values

    - #### CYRILLIC

          public static final int CYRILLIC

      Constant for cyrillic font identifier.
      See Also:
        Constant Field Values

    - #### DEVANAGARI

          public static final int DEVANAGARI

      Constant for devanagari font identifier.
      See Also:
        Constant Field Values

    - #### ETHIOPIC

          public static final int ETHIOPIC

      Constant for ethiopic font identifier.
      See Also:
        Constant Field Values

    - #### GEORGIAN

          public static final int GEORGIAN

      Constant for georgian font identifier.
      See Also:
        Constant Field Values

    - #### GLAGOLITIC

          public static final int GLAGOLITIC

      Constant for glagolitic font identifier.
      See Also:
        Constant Field Values

    - #### GREEK

          public static final int GREEK

      Constant for greek font identifier.
      See Also:
        Constant Field Values

    - #### GUJARATI

          public static final int GUJARATI

      Constant for gujarati font identifier.
      See Also:
        Constant Field Values

    - #### GURMUKHI

          public static final int GURMUKHI

      Constant for gurmukhi font identifier.
      See Also:
        Constant Field Values

    - #### HAN

          public static final int HAN

      Constant for han font identifier.
      See Also:
        Constant Field Values

    - #### HANGUL

          public static final int HANGUL

      Constant for hangul font identifier.
      See Also:
        Constant Field Values

    - #### HANUNOO

          public static final int HANUNOO

      Constant for hanunoo font identifier.
      See Also:
        Constant Field Values

    - #### HEBREW

          public static final int HEBREW

      Constant for hebrew font identifier.
      See Also:
        Constant Field Values

    - #### HIRAGANA

          public static final int HIRAGANA

      Constant for hiragana font identifier.
      See Also:
        Constant Field Values

    - #### KANNADA

          public static final int KANNADA

      Constant for kannada font identifier.
      See Also:
        Constant Field Values

    - #### KATAKANA

          public static final int KATAKANA

      Constant for katakana font identifier.
      See Also:
        Constant Field Values

    - #### KHMER

          public static final int KHMER

      Constant for khmer font identifier.
      See Also:
        Constant Field Values

    - #### LAO

          public static final int LAO

      Constant for lao font identifier.
      See Also:
        Constant Field Values

    - #### LATIN

          public static final int LATIN

      Constant for latin font identifier.
      See Also:
        Constant Field Values

    - #### LIMBU

          public static final int LIMBU

      Constant for limbu font identifier.
      See Also:
        Constant Field Values

    - #### MALAYALAM

          public static final int MALAYALAM

      Constant for malayalam font identifier.
      See Also:
        Constant Field Values

    - #### MONGOLIAN

          public static final int MONGOLIAN

      Constant for mongolian font identifier.
      See Also:
        Constant Field Values

    - #### MYANMAR

          public static final int MYANMAR

      Constant for myanmar font identifier.
      See Also:
        Constant Field Values

    - #### NEW_TAI_LUE

          public static final int NEW_TAI_LUE

      Constant for new tai lue font identifier.
      See Also:
        Constant Field Values

    - #### NKO

          public static final int NKO

      Constant for nko font identifier.
      See Also:
        Constant Field Values

    - #### OGHAM

          public static final int OGHAM

      Constant for ogham font identifier.
      See Also:
        Constant Field Values

    - #### ORIYA

          public static final int ORIYA

      Constant for oriya font identifier.
      See Also:
        Constant Field Values

    - #### PHAGS_PA

          public static final int PHAGS_PA

      Constant for phags pa font identifier.
      See Also:
        Constant Field Values

    - #### RUNIC

          public static final int RUNIC

      Constant for runic font identifier.
      See Also:
        Constant Field Values

    - #### SINHALA

          public static final int SINHALA

      Constant for sinhala font identifier.
      See Also:
        Constant Field Values

    - #### SYLOTI_NAGRI

          public static final int SYLOTI_NAGRI

      Constant for syloti nagri font identifier.
      See Also:
        Constant Field Values

    - #### SYRIAC

          public static final int SYRIAC

      Constant for syriac font identifier.
      See Also:
        Constant Field Values

    - #### TAGALOG

          public static final int TAGALOG

      Constant for tagalog font identifier.
      See Also:
        Constant Field Values

    - #### TAGBANWA

          public static final int TAGBANWA

      Constant for tagbanwa font identifier.
      See Also:
        Constant Field Values

    - #### TAI_LE

          public static final int TAI_LE

      Constant for tai le font identifier.
      See Also:
        Constant Field Values

    - #### TAMIL

          public static final int TAMIL

      Constant for tamil font identifier.
      See Also:
        Constant Field Values

    - #### TELUGU

          public static final int TELUGU

      Constant for telugu font identifier.
      See Also:
        Constant Field Values

    - #### THAANA

          public static final int THAANA

      Constant for thaana font identifier.
      See Also:
        Constant Field Values

    - #### THAI

          public static final int THAI

      Constant for thai font identifier.
      See Also:
        Constant Field Values

    - #### TIBETAN

          public static final int TIBETAN

      Constant for tibetan font identifier.
      See Also:
        Constant Field Values

    - #### TIFINAGH

          public static final int TIFINAGH

      Constant for tifinagh font identifier.
      See Also:
        Constant Field Values

    - #### YI

          public static final int YI

      Constant for yi font identifier.
      See Also:
        Constant Field Values

    - #### COMMON

          public static final int COMMON

      Constant for common font identifier.
      See Also:
        Constant Field Values

    - #### INHERITED

          public static final int INHERITED

      Constant for inherited font identifier.
      See Also:
        Constant Field Values

    - #### SUNDANESE

          public static final int SUNDANESE

      Constant for sundanese font identifier.
      See Also:
        Constant Field Values

    - #### LEPCHA

          public static final int LEPCHA

      Constant for lepcha font identifier.
      See Also:
        Constant Field Values

    - #### OL_CHIKI

          public static final int OL_CHIKI

      Constant for ol chiki font identifier.
      See Also:
        Constant Field Values

    - #### VAI

          public static final int VAI

      Constant for vai font identifier.
      See Also:
        Constant Field Values

    - #### SAURASHTRA

          public static final int SAURASHTRA

      Constant for saurashtra font identifier.
      See Also:
        Constant Field Values

    - #### KAYAH_LI

          public static final int KAYAH_LI

      Constant for kayah li font identifier.
      See Also:
        Constant Field Values

    - #### REJANG

          public static final int REJANG

      Constant for rejang font identifier.
      See Also:
        Constant Field Values

    - #### CHAM

          public static final int CHAM

      Constant for cham font identifier.
      See Also:
        Constant Field Values

    - #### TAI_THAM

          public static final int TAI_THAM

      Constant for tai tham font identifier.
      See Also:
        Constant Field Values

    - #### TAI_VIET

          public static final int TAI_VIET

      Constant for tai viet font identifier.
      See Also:
        Constant Field Values

    - #### SAMARITAN

          public static final int SAMARITAN

      Constant for samaritan font identifier.
      See Also:
        Constant Field Values

    - #### LISU

          public static final int LISU

      Constant for lisu font identifier.
      See Also:
        Constant Field Values

    - #### BAMUM

          public static final int BAMUM

      Constant for bamum font identifier.
      See Also:
        Constant Field Values

    - #### JAVANESE

          public static final int JAVANESE

      Constant for javanese font identifier.
      See Also:
        Constant Field Values

    - #### MEETEI_MAYEK

          public static final int MEETEI_MAYEK

      Constant for meetei mayek font identifier.
      See Also:
        Constant Field Values

    - #### BATAK

          public static final int BATAK

      Constant for batak font identifier.
      See Also:
        Constant Field Values

    - #### MANDAIC

          public static final int MANDAIC

      Constant for mandaic font identifier.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FontIdentifiers

          public FontIdentifiers()